Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 11339 - xsel-0.04.ebuild (new)
Summary: xsel-0.04.ebuild (new)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Desktop Misc. Team
URL: http://www.niksula.cs.hut.fi/~vherva/...
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2002-11-28 08:02 UTC by José Fonseca
Modified: 2003-12-06 09:18 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
xsel-0.04.ebuild (xsel-0.04.ebuild,632 bytes, text/plain)
2002-11-28 08:06 UTC, José Fonseca
Details
xsel-0.04.patch (xsel-0.04.patch,247 bytes, patch)
2002-11-28 08:08 UTC, José Fonseca
Details | Diff
xsel-0.04.1.ebuild (xsel-0.04.1.ebuild,593 bytes, text/plain)
2002-11-30 05:15 UTC, José Fonseca
Details

Note You need to log in before you can comment on or make changes to this bug.
Description José Fonseca 2002-11-28 08:02:10 UTC
xsel gives access to the X selection from the command line.

The author himself considers this utility a "quick hack", nevertheless I find it
very usefull as it avoids the annoyance of copy'n'paste from terminals (it's
very handy when filling bug reports in bugzilla for example). See its homepage
for some quite interesting applications.

I hope you also find it interesting enough to include in Gentoo.
Comment 1 José Fonseca 2002-11-28 08:06:42 UTC
Created attachment 6016 [details]
xsel-0.04.ebuild

This ebuild expects to find xsel.c and xsel.man (available from the program
homepage) in FILESDIR. That was my option, but they could be specified as
easily in SRC_URI.
Comment 2 José Fonseca 2002-11-28 08:08:07 UTC
Created attachment 6017 [details, diff]
xsel-0.04.patch

Patch to fix a typo cousing a gcc warning.
Comment 3 José Fonseca 2002-11-28 08:09:51 UTC
I forgot to mention that x11-misc seems to be the apropriate category for this
utility.
Comment 4 José Fonseca 2002-11-30 05:15:55 UTC
Created attachment 6057 [details]
xsel-0.04.1.ebuild

The typo was already updated upstream. New ebuild for it (change were version
bump, less the patch line).

PS: I would have made the above xsel-0.04.ebuild and xsel-0.04.patch
attachements obsolete but guess what!? No authorization for that!
Comment 5 Donnie Berkholz (RETIRED) gentoo-dev 2003-11-13 21:48:10 UTC
Reassigning...seems to do about the same thing as xclip in portage.
Comment 6 Ian Leitch (RETIRED) gentoo-dev 2003-12-06 08:23:25 UTC
I'm reluctant to add this, seeing as it is a "quick hack" - plus we have xclip which does the same thing and isn't a hack. 

Comments?
Comment 7 Brandon Hale (RETIRED) gentoo-dev 2003-12-06 09:17:21 UTC
This does the same as xclip, which is already in Portage.
I've been using this app myself for a long time, you might want to check it out,
if only because it's emergeable.

Closing WONTFIX, since we already have something better ;)
Comment 8 Brandon Hale (RETIRED) gentoo-dev 2003-12-06 09:18:11 UTC
This does the same as xclip, which is already in Portage.
I've been using this app myself for a long time, you might want to check it out,
if only because it's emergeable.

Closing WONTFIX, since we already have something better ;)